[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TStatusBar.SimplePanel

SimplePanel - boolean. Is there just one continuous panel, or several sub-panels?

## Declaration

Source position: comctrls.pp line 188

`published property TStatusBar.SimplePanel: Boolean read FSimplePanel write SetSimplePanel default true;`

## Description

SimplePanel - boolean. Is there just one continuous panel, or several sub-panels?

If true, the value of SimpleText is displayed; if false, the contents of Panels is displayed.

Contents can be adjusted with a stringlist editor that pops up when the ellipsis (...) next to Panels is selected and allows insertion of an arbitrary number of sub-panels with their own strings

The latest version of this document can be found at lazarus-ccr.sourceforge.net.